<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:22 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>L-Index</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="L-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-9.html">Prev Letter</a></li>
<li><a href="index-11.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-10.html" target="_top">Frames</a></li>
<li><a href="index-10.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#lastMessage">lastMessage</a></span> - Variable in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Последнее выведенное сообщение.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/PermissionHelper.html#launchPermissionSettings-android.app.Activity-">launchPermissionSettings(Activity)</a></span> - Static method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers">PermissionHelper</a></dt>
<dd>
<div class="block">Запускает настройки с разрешениями приложения.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/MainActivity.html#LINE_WIDTH">LINE_WIDTH</a></span> - Static variable in class com.playground.drawingar.<a href="../com/playground/drawingar/MainActivity.html" title="class in com.playground.drawingar">MainActivity</a></dt>
<dd>
<div class="block">Толщина создаваемых линий.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#lineColor">lineColor</a></span> - Variable in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Цвет линии.</div>
</dd>
<dt><a href="../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">LineShaderRenderer</span></a> - Class in <a href="../com/playground/drawingar/rendering/package-summary.html">com.playground.drawingar.rendering</a></dt>
<dd>
<div class="block">Визуализатор линий.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineShaderRenderer.html#LineShaderRenderer--">LineShaderRenderer()</a></span> - Constructor for class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a></dt>
<dd>
<div class="block">Конструктор - создание нового объекта для визуалицации линии.</div>
</dd>
<dt><a href="../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">LineUtils</span></a> - Class in <a href="../com/playground/drawingar/rendering/package-summary.html">com.playground.drawingar.rendering</a></dt>
<dd>
<div class="block">Вспомогательный класс, реализующий алгоритм проекции геометрический
 фигур на объекты окружающей среды.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineUtils.html#LineUtils--">LineUtils()</a></span> - Constructor for class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering">LineUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#lineWidth">lineWidth</a></span> - Variable in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Толшина линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/ShaderUtil.html#loadGLShader-java.lang.String-android.content.Context-int-int-">loadGLShader(String, Context, int, int)</a></span> - Static method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/ShaderUtil.html" title="class in com.playground.drawingar.rendering">ShaderUtil</a></dt>
<dd>
<div class="block">Переводит текстовый фойл, сохраненный в виде ресурса, в шейдер OpenGL ES.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-9.html">Prev Letter</a></li>
<li><a href="index-11.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-10.html" target="_top">Frames</a></li>
<li><a href="index-10.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
